Bug 1662248 - No metrics exposed in cluster-logging-operator pod
Summary: No metrics exposed in cluster-logging-operator pod
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 07:58 UTC by Anping Li
Modified: 2019-03-12 14:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-07 13:52:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Anping Li 2018-12-27 07:58:53 UTC
Description of problem:
The 60000 port wasn't exposed and no metrics are exposed in cluster-logging-operator.  

Version-Release number of selected component (if applicable):
docker.io/openshift/origin-cluster-logging-operator:v4.0

How reproducible:
always

Steps to Reproduce:
1.oc get pods --selector name=cluster-logging-operator -o wide
NAME                                      IP           
cluster-logging-operator-c977978f-545v7   10.128.2.30  


2. Access 10.128.2.30:60000/metrics
curl -I -H 'X-Forwarded-For: 127.0.0.1' -H "Authorization: Bearer 5${cluster-admin-token}" http://10.128.2.30:60000/metrics
HTTP/1.1 200 OK
Content-Type: text/plain; version=0.0.4; charset=utf-8
Date: Thu, 27 Dec 2018 07:39:12 GMT

3. oc get endpoints cluster-logging-operator 
NAME                       ENDPOINTS   AGE
cluster-logging-operator   <none>      1d


Actual results:

The access return 200, but no metrics records
The endpoint is None

Expected results:
The metrics are exposed
The port 60000 are exposed



Additional info:

Comment 1 Jeff Cantrill 2019-01-07 13:52:51 UTC
This is an Enhancement/RFE.  Created https://jira.coreos.com/browse/LOG-315 to schedule


Note You need to log in before you can comment on or make changes to this bug.